package com.keao.edu.auth.api.entity;

import java.util.Date;
import java.util.Map;

import com.keao.edu.common.enums.MessageTypeEnum;

/**
 * @Author Joburgess
 * @Date 2020.07.02
 */
public class SysMessageParams {

    private MessageTypeEnum messageType;

    private Map<Integer, String> receivers;

    private Date triggerTime;

    private Integer readStatus;

    private String url;

    private String jpushType;

    private Object[] args;

    public SysMessageParams() {
    }

    public SysMessageParams( MessageTypeEnum messageType, Map<Integer, String> receivers, Date triggerTime, Integer readStatus, String url, String jpushType, Object... args) {
        this.messageType = messageType;
        this.receivers = receivers;
        this.triggerTime = triggerTime;
        this.readStatus = readStatus;
        this.url = url;
        this.jpushType = jpushType;
        this.args = args;
    }

    public MessageTypeEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(MessageTypeEnum messageType) {
        this.messageType = messageType;
    }

    public Map<Integer, String> getReceivers() {
        return receivers;
    }

    public void setReceivers(Map<Integer, String> receivers) {
        this.receivers = receivers;
    }

    public Date getTriggerTime() {
        return triggerTime;
    }

    public void setTriggerTime(Date triggerTime) {
        this.triggerTime = triggerTime;
    }

    public Integer getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(Integer readStatus) {
        this.readStatus = readStatus;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getJpushType() {
        return jpushType;
    }

    public void setJpushType(String jpushType) {
        this.jpushType = jpushType;
    }

    public Object[] getArgs() {
        return args;
    }

    public void setArgs(Object[] args) {
        this.args = args;
    }
}
